com.independentsoft.exchange

## Class Recurrence

- java.lang.Object
- - com.independentsoft.exchange.Recurrence

-     public class Recurrence
      extends java.lang.Object

  Contains the recurrence pattern for for appointments and tasks.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Recurrence()` Initializes a new instance of the Recurrence class.
    `Recurrence(RecurrencePattern pattern)` Initializes a new instance of the Recurrence class.
    `Recurrence(RecurrencePattern pattern, RecurrenceRange range)` Initializes a new instance of the Recurrence class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecurrencePattern` | `getPattern()` Gets the recurrence pattern.
    `RecurrenceRange` | `getRange()` Gets the recurrence range.
    `void` | `setPattern(RecurrencePattern pattern)` Sets the recurrence pattern.
    `void` | `setRange(RecurrenceRange range)` Sets the recurrence range.
    `java.lang.String` | `toString()` Converts the value of the current Recurrence object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Recurrence

          public Recurrence()

      Initializes a new instance of the Recurrence class.

    - #### Recurrence

          public Recurrence(RecurrencePattern pattern)

      Initializes a new instance of the Recurrence class.
      Parameters:
        `pattern` - the pattern

    - #### Recurrence

          public Recurrence(RecurrencePattern pattern,
                            RecurrenceRange range)

      Initializes a new instance of the Recurrence class.
      Parameters:
        `pattern` - the pattern
        `range` - the range

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Recurrence object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getPattern

          public RecurrencePattern getPattern()

      Gets the recurrence pattern.
      Returns:
        the pattern

    - #### setPattern

          public void setPattern(RecurrencePattern pattern)

      Sets the recurrence pattern.
      Parameters:
        `pattern` - the new pattern

    - #### getRange

          public RecurrenceRange getRange()

      Gets the recurrence range.
      Returns:
        the range

    - #### setRange

          public void setRange(RecurrenceRange range)

      Sets the recurrence range.
      Parameters:
        `range` - the new range